libaccounts-qt-doc_1.14+16.04.20151106.1-0ubuntu1_all.deb


Advertisement

Description

libaccounts-qt-doc - QT library for single sign on - documentation

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libaccounts-qt-doc_1.14+16.04.20151106.1-0ubuntu1_all.deb
Package name libaccounts-qt-doc
Package version 1.14+16.04.20151106.1
Package release 0ubuntu1
Package architecture all
Package type deb
Category doc
Homepage http://code.google.com/p/accounts-sso/
License -
Maintainer Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Download size 2.80 KB
Installed size 11.00 KB
This package contains developer documentation.

Alternatives

Package Version Architecture Repository
libaccounts-qt-doc_1.14+16.04.20151106.1-0ubuntu1_all.deb 1.14+16.04.20151106.1 all Ubuntu Main
libaccounts-qt-doc - - -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libaccounts-qt-doc_1.14+16.04.20151106.1-0ubuntu1_all.deb
Source Package libaccounts-qt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libaccounts-qt-doc deb package:
    # sudo apt-get install libaccounts-qt-doc

Files

Path
/usr/share/doc/libaccounts-qt-doc/changelog.Debian.gz
/usr/share/doc/libaccounts-qt-doc/copyright

Changelog

2015-11-06 - David Barth <david.barth@canonical.com>
libaccounts-qt (1.14+16.04.20151106.1-0ubuntu1) xenial; urgency=medium
[ Alberto Mardegan ]
* Merge from upstream:
- Modernize the project structure
- Remove debug messages (LP: #1404267)
[ CI Train Bot ]
* No-change rebuild.
2015-11-02 - David Barth <david.barth@canonical.com>
libaccounts-qt (1.14+16.04.20151102-0ubuntu1) xenial; urgency=medium
[ Alberto Mardegan ]
* debian/control, debian/rules:
- Remove Qt4-based packages
* New upstream release.
- Fix clazy warnings
- Use gboolean instead of bool to g_object_get (fixes a stack corruption)
- Headers: remove unnecessary semicolon after namespace
- Docs: fix hint on destruction of Account and Service
- Fix memory leaks found by valgrind
Fixes: https://code.google.com/p/accounts-sso/issues/detail?id=239
- Tests: make using a wrapper easier
Tests can now be run with a command like:
make check WRAPPER="valgrind --leak-check=full" 
[ CI Train Bot ]
* No-change rebuild.
2015-07-15 - Steve Langasek <steve.langasek@ubuntu.com>
libaccounts-qt (1.13+14.10.20140819.1-0ubuntu4~gcc5.1) wily; urgency=medium
* No-change test rebuild for g++5 ABI transition
2014-11-26 - Michael Vogt <michael.vogt@ubuntu.com>
libaccounts-qt (1.13+14.10.20140819.1-0ubuntu3) vivid; urgency=low
* fix typo in previous upload
2014-09-02 - Michael Vogt <michael.vogt@ubuntu.com>
libaccounts-qt (1.13+14.10.20140819.1-0ubuntu2) vivid; urgency=low
* debian/control:
- add "Multi-Arch: same" to libaccounts-qt1 and libaccounts-qt5-1
(no further changes needed thanks to dh9)
- add Vcs-Bzr field
2014-08-19 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
libaccounts-qt (1.13+14.10.20140819.1-0ubuntu1) utopic; urgency=medium
[ Alberto Mardegan ]
* New upstream release.
- Add flag to suppress usage of D-Bus
[ Ubuntu daily release ]
* New rebuild forced
2014-05-06 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
libaccounts-qt (1.12+14.10.20140506.1-0ubuntu1) utopic; urgency=medium
[ Alberto Mardegan ]
* New upstream release.
- Make the lib easier to use with CMake by adding a Config.cmake file
This will allow CMake applications to use something like:
find_package(AccountsQt REQUIRED CONFIG)
- Application: add default constructor
Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=211 
* New upstream release.
- Add CMake config files for the Qt5 build
- Add Provider::domainsRegExp()
- Provider: do not unreference a NULL AgProvider
[ Ubuntu daily release ]
* New rebuild forced
2014-04-10 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
libaccounts-qt (1.11+14.04.20140410.1-0ubuntu1) trusty; urgency=low
[ Ɓukasz 'sil2100' Zemczak ]
* Fix file conflicts in the -dev packages. As recommended by upstream,
we only ship the cmake files for the -qt-dev package, as soon they
will add specific variants for every Qt version
2014-03-07 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
libaccounts-qt (1.11+14.04.20140307-0ubuntu1) trusty; urgency=medium
[ Alberto Mardegan ]
* New upstream release.
- Make the lib easier to use with CMake by adding a Config.cmake file
This will allow CMake applications to use something like:
find_package(AccountsQt REQUIRED CONFIG)
- Application: add default constructor
Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=211 
[ CI bot ]
* No change rebuild against Qt 5.2.1.
[ Ubuntu daily release ]
* New rebuild forced
2013-10-16 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
libaccounts-qt (1.10+13.10.20131016.1-0ubuntu1) saucy; urgency=low
[ Alberto Mardegan ]
* New upstream release.
- Add Provider::isSingleAccount()
Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=202
[ Ubuntu daily release ]
* Automatic snapshot from revision 133

See Also

Package Description
libaccounts-qt5-1_1.14+16.04.20151106.1-0ubuntu1_amd64.deb QT library for single sign on
libaccounts-qt5-dev_1.14+16.04.20151106.1-0ubuntu1_amd64.deb QT library for single sign on - development files
libaccountsservice-dev_0.6.40-2ubuntu10_amd64.deb query and manipulate user account information - header files
libaccountsservice-doc_0.6.40-2ubuntu10_all.deb query and manipulate user account information - documentation
libaccountsservice0_0.6.40-2ubuntu10_amd64.deb query and manipulate user account information - shared libraries
libacl1-dev_2.2.52-3_amd64.deb Access control list static libraries and headers
libacl1_2.2.52-3_amd64.deb Access control list shared library
libaio-dev_0.3.110-2_amd64.deb Linux kernel AIO access library - development files
libaio1_0.3.110-2_amd64.deb Linux kernel AIO access library - shared library
libalgorithm-diff-perl_1.19.03-1_all.deb module to find differences between files
libalgorithm-diff-xs-perl_0.04-4build1_amd64.deb module to find differences between files (XS accelerated)
libalgorithm-merge-perl_0.08-3_all.deb Perl module for three-way merge of textual data
libamd2.4.1_4.4.6-1_amd64.deb approximate minimum degree ordering library for sparse matrices
libandroid-properties-dev_0.1.0+git20151016+6d424c9-0ubuntu7_amd64.deb Development headers files for libandroid-properties
libandroid-properties1_0.1.0+git20151016+6d424c9-0ubuntu7_amd64.deb Library to provide access to get, set and list Android properties
Advertisement
Advertisement